## ros-lunar-ibeo-lux 2.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ibeo_lux)

add_definitions(-std=c++11 -Wall -Wextra -DBUILD_ROS)

## Find catkin and any catkin packages
find_package(catkin REQUIRED COMPONENTS
  network_interface
  roscpp
  ibeo_core
  std_msgs
  pcl_ros
  geometry_msgs
  visualization_msgs
  ibeo_msgs
)

## Declare a catkin package
catkin_package(CATKIN_DEPENDS
  network_interface
  std_msgs
  ibeo_core
  pcl_ros
  geometry_msgs
  visualization_msgs
  ibeo_msgs
)

## Build executables
include_directories(
  include/${PROJECT_NAME}
  core_ibeo/include
  ${catkin_INCLUDE_DIRS}
)

add_executable(${PROJECT_NAME}
  src/ros_ibeo_lux.cpp
  src/ibeo_lux_ros_msg_handler.cpp
)

target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
)
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
                        
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

=== debian/changelog ===
ros-lunar-ibeo-lux (2.0.1-0stretch) stretch; urgency=high

  * Merge pull request #5 <https://github.com/astuff/ibeo_lux/issues/5> from astuff/maint/add_urls
    Adding website URL to package.xml. Fixing changelog.
  * Merge pull request #6 <https://github.com/astuff/ibeo_lux/issues/6> from ShepelIlya/patch-1
  * Added filling of number_of_objects field to ObjectData2280 message
    Now uint16 field with number of objects in message is filling in IbeoLuxRosMsgHandler::fill2280 function.
  * Contributors: Joshua Whitley, Rinda Gunjala, Sam Rustan, ShepelIlya, Zach Oakes

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Fri, 07 Dec 2018 06:00:00 -0000

ros-lunar-ibeo-lux (2.0.0-0stretch) stretch; urgency=high

  * Updating package.xml with correct URLs.
  * Changing package.xml to reflect correct license.
  * Adding product page to README.
  * Enabling Travis.
  * Cleaning up package location in prep for open-source.
  * Moving to using ibeo_core in preparation for open-sourcing.
  * Updating package.xml to format 2.
  * Lowering duration on wireframe boxes.
  * Fixing segfault in read.
  * Breaking out of read loop if ROS dies.
  * Adding namespace to object boxes.
  * Lighter-weight parsing.
  * Fixing several display-related bugs. Adding label to PointCloud2 for layer.
  * Marker type was set twice for object boxes.
  * Testing new marker size scale.
  * Fixing orientation scaling. Changes to core.
  * Changing to new parsing method.
  * Making connection to socket the same as other drivers.
  * Adding C++11 support for network_utils.
  * Moving sensor-specific data into core.
  * Removing using namespace std. Adding driver namespace.
  * Making node attempt to reconnect continuously, even after disconnect.
  * Moving sensor-specific messages to astuff_sensor_msgs.
  * Updating network_interface calls and adding better error reporting.
  * upping the hz more to correct visualization lag
  * upped hz to 1000 to correct visualization issues
  * Adds thread sleeping and callback spin
    Rates were determined by observed output hz from
    driver operation before.
    That and apparently when the intended hz is too
    low it segfaults
  * frame_id and stamp now being set on fusion_image message
  * core change
  * contour points publish to as_tx/object_contour_points
  * wireframes publish on as_tx/objects
  * increased text label size on objects
  * pointclouds to pub to 'as_tx/point_cloud' topic
  * problem with labels corrected
  * adds classification labels to wireframes on fusion ECU
  * Adds checks depending on run mode
    If its running as a single lux then it will only parse lux messages
    opposite if its fusion. this prevents publishing to topics that dont exist.
  * Corrects a few issues with Single Lux running
    driver now  parses the single lux scan point correctly. before
    before they were obscenely small values resulting in what appeared
    to be a single point.
    contour points show up in the proper distance. luxi report in centimeters
    but the driver was not scaling it. now it does. you're welcome.
    Added namespacing for objects in RViz. Now they are namespaced by their
    respective classification. Though somehow that change caused the text
    to stop displaying so more investigation is required.
  * Changing topic names to be more standardized.
  * Changing launch files to match new driver name.
  * Changing driver name from ibeo_lux_driver to ibeo_lux.
  * changed include to know where network_interface is
  * core change and moved division for cm to node code
  * adds argument of if sensor is lux or fusion
  * converted cubes to line lists for wireframe boxes
  * 
    
      * added the ethernet_raw_tx msg
    
  * 
    
      * added fusion messages
    
  * 
    
      * added lux scan data
      * added lux object data
      * added lux vehicle status data
    
  * 
    
      * added the readme file
    
  * 
    
      * first commit for ROS Lux driver
    
  * Contributors: Daniel Stanek, Joe Kale, Joshua Whitley, Lu Xu, Sam Rustan

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Thu, 05 Jul 2018 05:00:00 -0000

=== debian/control ===
Source: ros-lunar-ibeo-lux
Section: misc
Priority: extra
Maintainer: AutonomouStuff Software Development Team <software@autonomoustuff.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-geometry-msgs, ros-lunar-ibeo-core, ros-lunar-ibeo-msgs, ros-lunar-network-interface, ros-lunar-pcl-ros, ros-lunar-roscpp, ros-lunar-std-msgs, ros-lunar-visualization-msgs
Homepage: http://wiki.ros.org/ibeo_lux
Standards-Version: 3.9.2

Package: ros-lunar-ibeo-lux
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-geometry-msgs, ros-lunar-ibeo-core, ros-lunar-ibeo-msgs, ros-lunar-network-interface, ros-lunar-pcl-ros, ros-lunar-roscpp, ros-lunar-std-msgs, ros-lunar-visualization-msgs
Description: ROS driver for IBEO LUX

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-ibeo-lux//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
